Bug 993996 - When removing repository from group via REST it is added instead
When removing repository from group via REST it is added instead
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER2
: 6.0.0
Assigned To: Mark Proctor
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 09:38 EDT by Jiri Locker
Modified: 2014-08-06 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-08-06 09:38:51 EDT
Description of problem:
Obviously a copy-paste error: https://github.com/droolsjbpm/drools-wb/blob/master/drools-wb-rest/src/main/java/org/kie/workbench/common/services/rest/ProjectResourceDispatcher.java#L477

Version-Release number of selected component (if applicable):
CR1 (community)

Steps to Reproduce:
1. curl -H "Accept: application/json" -X DELETE "localhost:8080/business-central/rest/groups/demo/repositories/jbpm-playground"

Actual results:
jbpm-playground is added to demo.group (even a duplicate entry)

Expected results:
jbpm-playground should be removed from demo.group
Comment 1 Jervis Liu 2013-08-06 22:38:56 EDT
fixed. 

http://github.com/droolsjbpm/drools-wb/commit/b5a95d398
Comment 2 Jiri Locker 2013-09-12 10:09:46 EDT
Fixed in ER2.

Note You need to log in before you can comment on or make changes to this bug.